summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorJames Meyer <James.meyer@operamail.com>2009-02-08 14:02:09 (GMT)
committerJames Meyer <James.meyer@operamail.com>2009-02-08 14:02:09 (GMT)
commitc045a76a64c1c804f6ae9d02a9e407f0956c65ac (patch)
treeecda7a85185c9eb29bb7fe36708e364ce746e6f3 /abs
parent2ac91977ce190049b066a20b367149f061199773 (diff)
parent9bf541b67d138b347a43b92c2042fd10e0a44a75 (diff)
downloadlinhes_pkgbuild-c045a76a64c1c804f6ae9d02a9e407f0956c65ac.zip
linhes_pkgbuild-c045a76a64c1c804f6ae9d02a9e407f0956c65ac.tar.gz
linhes_pkgbuild-c045a76a64c1c804f6ae9d02a9e407f0956c65ac.tar.bz2
Merge branch 'HEAD' of ssh://jams@knoppmyth.net/mount/repository/LinHES-PKGBUILD.git
Diffstat (limited to 'abs')
-rw-r--r--abs/extra-testing/transcode/PKGBUILD19
-rw-r--r--abs/extra-testing/transcode/imagemagick.patch41
-rw-r--r--abs/extra-testing/transcode/transcode.install17
-rw-r--r--abs/extra-testing/xine-lib/ChangeLog10
-rw-r--r--abs/extra-testing/xine-lib/PKGBUILD21
5 files changed, 28 insertions, 80 deletions
diff --git a/abs/extra-testing/transcode/PKGBUILD b/abs/extra-testing/transcode/PKGBUILD
index 4198a79..89f2300 100644
--- a/abs/extra-testing/transcode/PKGBUILD
+++ b/abs/extra-testing/transcode/PKGBUILD
@@ -1,30 +1,32 @@
-# $Id: PKGBUILD 15655 2008-10-16 19:04:55Z tobias $
+# $Id: PKGBUILD 24607 2009-01-19 05:27:57Z eric $
# Contributor: Sarah Hay <sarahhay@mb.sympatico.ca>
# Maintainer: roberto <roberto@archlinux.org>
pkgname=transcode
_sripver=0.3-4
-pkgver=1.0.6
+pkgver=1.1.0
pkgrel=1
pkgdesc="Transcode is a video/DVD ripper and encoder for the terminal/console."
arch=(i686 x86_64)
license=('GPL2')
-depends=('imagemagick>=6.2.6' 'lzo2' 'libdv' 'libdvdread' 'ffmpeg' 'mjpegtools' \
- 'xvidcore' 'libmpeg2' 'libtheora' 'libxaw' 'x264>=20080625' 'libxml2' \
- 'libxv')
+depends=('imagemagick>=6.2.6' 'lzo2' 'libdv' 'libdvdread' 'ffmpeg>=20081220' 'mjpegtools' \
+ 'xvidcore' 'libmpeg2' 'libtheora' 'libxaw' 'x264>=20090108' 'libxml2' \
+ 'libxv' 'a52dec')
makedepends=('nasm')
install=transcode.install
url="http://transcoding.org"
options=(!libtool !makeflags)
source=(http://fromani.exit1.org/${pkgname}-${pkgver}.tar.bz2 \
- http://easynews.dl.sourceforge.net/sourceforge/subtitleripper/subtitleripper-${_sripver}.tgz)
-md5sums=('7c3a341b0e4540e34ef50c66b0ab751d' 'c0bd49a88f667c68c4430ad25bbed510')
+ http://downloads.sourceforge.net/sourceforge/subtitleripper/subtitleripper-${_sripver}.tgz)
+md5sums=('5ca205e32b546402a48ea8004a7b3232' 'c0bd49a88f667c68c4430ad25bbed510')
build() {
cd $startdir/src/$pkgname-$pkgver
sed -i 's|ffmpeg/avcodec.h|libavcodec/avcodec.h|' import/{import_ffmpeg.c,decode_lavc.c} || return 1
sed -i 's|ffmpeg/avcodec.h|libavcodec/avcodec.h|' export/{aud_aux.c,export_ffmpeg.c,ffmpeg_cfg.h} || return 1
sed -i 's|ffmpeg/avcodec.h|libavcodec/avcodec.h|' filter/filter_resample.c || return 1
+ autoconf || return 1
+
# building from here
./configure --prefix=/usr \
--enable-sse=no --enable-sse2=no --enable-altivec=no --enable-mmx \
@@ -48,7 +50,8 @@ build() {
make DESTDIR=$startdir/pkg install
##############################################################################
# this imports the latest subtitleripper sources and replaces the internal
- rm -rf $startdir/src/$pkgname-$pkgver/contrib/subrip
+### rm -rf $startdir/src/$pkgname-$pkgver/contrib/subrip
+ mkdir $startdir/src/$pkgname-$pkgver/contrib
tar xzf ../subtitleripper-$_sripver.tgz -C $startdir/src/$pkgname-$pkgver/contrib
mv $startdir/src/$pkgname-$pkgver/contrib/subtitleripper \
$startdir/src/$pkgname-$pkgver/contrib/subrip
diff --git a/abs/extra-testing/transcode/imagemagick.patch b/abs/extra-testing/transcode/imagemagick.patch
deleted file mode 100644
index ed8ce23..0000000
--- a/abs/extra-testing/transcode/imagemagick.patch
+++ /dev/null
@@ -1,41 +0,0 @@
---- transcode-1.0.1.orig/filter/filter_compare.c
-+++ transcode-1.0.1/filter/filter_compare.c
-@@ -180,6 +180,7 @@
- if (!(compare[instance]->results = fopen(results_name, "w")))
- {
- perror("could not open file for writing");
-+ return (-1);
- }
-
- InitializeMagick("");
---- transcode-1.0.1.orig/filter/filter_logo.c 2005-10-21 22:18:49.000000000 +0200
-+++ transcode-1.0.1/filter/filter_logo.c 2005-10-21 22:19:52.000000000 +0200
-@@ -183,17 +183,18 @@
-
- if (optstr_get (options, "help", "") >= 0)
- help_optstr();
-- }
-
-- if (verbose > 1) {
-- printf (" Logo renderer Settings:\n");
-- printf (" file = %s\n", mfd->file);
-- printf (" posdef = %d\n", mfd->pos);
-- printf (" pos = %dx%d\n", mfd->posx, mfd->posy);
-- printf (" range = %u-%u\n", mfd->start, mfd->end);
-- printf (" flip = %d\n", mfd->flip);
-- printf (" ignoredelay = %d\n", mfd->ignoredelay);
-- printf (" rgbswap = %d\n", mfd->rgbswap);
-+ if (verbose > 1) {
-+ printf (" Logo renderer Settings:\n");
-+ printf (" file = %s\n", mfd->file);
-+ printf (" posdef = %d\n", mfd->pos);
-+ printf (" pos = %dx%d\n", mfd->posx, mfd->posy);
-+ printf (" range = %u-%u\n", mfd->start, mfd->end);
-+ printf (" flip = %d\n", mfd->flip);
-+ printf (" ignoredelay = %d\n", mfd->ignoredelay);
-+ printf (" rgbswap = %d\n", mfd->rgbswap);
-+ }
-+ return (-1);
- }
-
- InitializeMagick("");
diff --git a/abs/extra-testing/transcode/transcode.install b/abs/extra-testing/transcode/transcode.install
index 75c533b..9858c32 100644
--- a/abs/extra-testing/transcode/transcode.install
+++ b/abs/extra-testing/transcode/transcode.install
@@ -1,23 +1,6 @@
-# arg 1: the new package version
post_install() {
echo ">>"
echo ">> Transcode currently does not work with divx4linux. Please"
echo ">> use xvid(core) instead."
echo ">>"
}
-
-# arg 1: the new package version
-# arg 2: the old package version
-post_upgrade() {
- /bin/true
-}
-
-# arg 1: the old package version
-pre_remove() {
- /bin/true
-}
-
-op=$1
-shift
-
-$op $*
diff --git a/abs/extra-testing/xine-lib/ChangeLog b/abs/extra-testing/xine-lib/ChangeLog
index 4b27a0a..abcf3f1 100644
--- a/abs/extra-testing/xine-lib/ChangeLog
+++ b/abs/extra-testing/xine-lib/ChangeLog
@@ -1,3 +1,13 @@
+2009-01-11 Eric Belanger <eric@archlinux.org>
+
+ * xine-lib 1.1.16.1-1
+ * Upstream update
+
+2009-01-10 Eric Belanger <eric@archlinux.org>
+
+ * xine-lib 1.1.16-1
+ * Upstream update
+
2008-12-05 Eric Belanger <eric@archlinux.org>
* xine-lib 1.1.15-4
diff --git a/abs/extra-testing/xine-lib/PKGBUILD b/abs/extra-testing/xine-lib/PKGBUILD
index 2988b74..3c41d4b 100644
--- a/abs/extra-testing/xine-lib/PKGBUILD
+++ b/abs/extra-testing/xine-lib/PKGBUILD
@@ -1,34 +1,27 @@
-# $Id: PKGBUILD 20666 2008-12-06 08:58:36Z allan $
+# $Id: PKGBUILD 24036 2009-01-12 03:09:27Z eric $
# Maintainer: Eric Belanger <eric@archlinux.org>
# Contributor: Judd Vinet <jvinet@zeroflux.org>
pkgname=xine-lib
-pkgver=1.1.15
-pkgrel=4
+pkgver=1.1.16.1
+pkgrel=1
pkgdesc="A free video player for Unix"
arch=('i686' 'x86_64')
url="http://xinehq.de/"
license=('LGPL' 'GPL')
depends=('libgl' 'libxvmc' 'esound' 'flac>=1.1.4' 'libvorbis' 'sdl' 'libmng' 'libtheora'
- 'libxcb' 'wavpack' 'ffmpeg>=20080715' 'heimdal>=1.2.1')
+ 'libxcb' 'wavpack' 'ffmpeg>=20081220' 'heimdal>=1.2.1')
makedepends=('pkgconfig' 'libtool' 'imagemagick' 'smbclient' 'mesa' 'alsa-lib'
'vcdimager' 'jack-audio-connection-kit')
options=('!libtool')
source=(http://downloads.sourceforge.net/sourceforge/xine/${pkgname}-${pkgver}.tar.bz2
- xine-lib-1.1.1-configure-no-mcpu-march.patch xine-header.patch xine-imagemagick.patch)
-md5sums=('42a2b4893b7f892eb334de2fc36d49c8' '9776df4eb54d2f1f68d8268adbc3b5c2'\
- 'b139ee72700f8d118f9051e9140473f5' '45d248d45b747f049129925cbf25716d')
-sha1sums=('bcb567ea2a11c5f26b2384d5400b8466ea9048c6'
- '121a8358d7919b2e51067412373f52848290338a'
- '30cd75db3f0c0002f467d85466f1c404452397df'
- 'f0a0c04d5dfa3d0cd9246a1310f628deff489c12')
+ xine-lib-1.1.1-configure-no-mcpu-march.patch)
+md5sums=('9de11db7e262c564cfdba9841a092ebe' '9776df4eb54d2f1f68d8268adbc3b5c2')
+sha1sums=('82709254a0603e3971058aacf8578926b75d4a20' '121a8358d7919b2e51067412373f52848290338a')
build() {
cd ${srcdir}/${pkgname}-${pkgver}
-
patch -p0 < ../xine-lib-1.1.1-configure-no-mcpu-march.patch || return 1
- patch -p0 <../xine-header.patch || return 1
- #patch -p1 <../xine-imagemagick.patch || return 1
libtoolize --force --copy || return 1
aclocal -I m4 || return 1